TRSP(8)

NAME
trsp - transliterate sequenced packet protocol trace

SYNOPSIS
trsp [-a] [-s] [-t] [-j] [-p hex-address] [ system [core]]

DESCRIPTION
Trpt interrogates the buffer of SPP trace records created when a socket is marked for “debugging” (see setsockopt(2)), and prints a readable description of these records. When no options are supplied, trsp prints all the trace records found in the system grouped according to SPP connection protocol control block (PCB). The following options may be used to alter this behavior.

-a  In addition to the normal output, print the values of the source and destination addresses for each packet recorded.

-j  Just give a list of the protocol control block addresses for which there are trace records.

-p  Show only trace records associated with the protocol control block at the given address, hex-address.

-s  in addition to the normal output, print a detailed description of the packet sequencing information.

-t  in addition to the normal output, print the values for all timers at each point in the trace,

The recommended use of trsp is as follows. Isolate the problem and enable debugging on the socket(s) involved in the connection. Find the address of the protocol control blocks associated with the sockets using the -A option to netstat(1). Then run trsp with the -p option, supplying the associated protocol control block addresses. If there are many sockets using the debugging option, the -j option may be useful in checking to see if any trace records are present for the socket in question.

If debugging is being performed on a system or core file other than the default, the last two arguments may be used to supplant the defaults.

FILES
/kernel
/dev/kmem

SEE ALSO
netstat(1), setsockopt(2)

DIAGNOSTICS

no namelist
    When the system image doesn't contain the proper symbols to find the trace buffer; others which should be self explanatory.

BUGS
Should also print the data for each input or output, but this is not saved in the race record.

The output format is inscrutable and should be described here.

HISTORY
The trsp command appeared in 4.3BSD.